%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

# Required platform version
%global platform_version 2.8


Name: pulp-ostree
Version: 1.1.1
Release: 1%{?dist}
Summary: Support for OSTree content in the Pulp platform
Group: Development/Languages
License: GPLv2
URL: http://pulpproject.org
Source0: http://satellite6.lab.eng.rdu2.redhat.com/pub/sources/6.2/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: rpm-python

%description
Provides a collection of platform plugins and admin client extensions to
provide OSTree support.

%prep
%setup -q

%build
pushd common
%{__python} setup.py build
popd

pushd extensions_admin
%{__python} setup.py build
popd

pushd plugins
%{__python} setup.py build
popd

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/%{_sysconfdir}/pulp/
mkdir -p %{buildroot}/%{_var}/lib/pulp/published/ostree/
mkdir -p %{buildroot}/%{_bindir}

pushd common
%{__python} setup.py install --skip-build --root %{buildroot}
popd

pushd extensions_admin
%{__python} setup.py install --skip-build --root %{buildroot}
popd

pushd plugins
%{__python} setup.py install --skip-build --root %{buildroot}
popd

cp -R plugins/etc %{buildroot}

%clean
rm -rf %{buildroot}


# ---- Common ----------------------------------------------------------------

%package -n python-pulp-ostree-common
Summary: Pulp OSTree support common library
Group: Development/Languages
Requires: python-pulp-common >= %{platform_version}
Requires: python-setuptools

%description -n python-pulp-ostree-common
Common libraries for OSTree support.

%files -n python-pulp-ostree-common
%defattr(-,root,root,-)
%dir %{python_sitelib}/pulp_ostree
%dir %{python_sitelib}/pulp_ostree/extensions
%{python_sitelib}/pulp_ostree/__init__.py*
%{python_sitelib}/pulp_ostree/common/
%{python_sitelib}/pulp_ostree/extensions/__init__.py*
%{python_sitelib}/pulp_ostree_common*.egg-info

%doc COPYRIGHT LICENSE AUTHORS


# ---- Plugins ---------------------------------------------------------------

%package plugins
Summary: Pulp OSTree plugins
Group: Development/Languages
Requires: python-pulp-common >= %{platform_version}
Requires: python-pulp-ostree-common = %{version} 
Requires: pulp-server >= %{platform_version}
Requires: python-setuptools
Requires: ostree >= 2015.8
Requires: python-gnupg
Requires: pygobject3

%description plugins
Provides a collection of platform plugins that extend the Pulp platform
to provide OSTree specific support.

%files plugins
%defattr(-,root,root,-)
%{python_sitelib}/pulp_ostree/plugins/
%config(noreplace) %{_sysconfdir}/httpd/conf.d/pulp_ostree.conf
%config(noreplace) %{_sysconfdir}/pulp/server/plugins.conf.d/ostree_*.json
%{python_sitelib}/pulp_ostree_plugins*.egg-info
%defattr(-,apache,apache,-)
%{_var}/lib/pulp/published/ostree/

%doc COPYRIGHT LICENSE AUTHORS


# ---- Admin Extensions ------------------------------------------------------

%package admin-extensions
Summary: The Pulp OSTree admin client extensions
Group: Development/Languages
Requires: python-pulp-common >= %{platform_version}
Requires: python-pulp-ostree-common = %{version}
Requires: pulp-admin-client >= %{platform_version}
Requires: python-setuptools

%description admin-extensions
pulp-admin extensions for OSTree support.

%files admin-extensions
%defattr(-,root,root,-)
%{python_sitelib}/pulp_ostree/extensions/admin/
%{python_sitelib}/pulp_ostree_extensions_admin*.egg-info

%doc COPYRIGHT LICENSE AUTHORS


%changelog
* Sat May 21 2016 Eric D Helms <ericdhelms@gmail.com> 1.1.1-1
- 

* Mon Mar 21 2016 Chris Peters <chrispeters.psu@gmail.com> 1.1.0.2-1
- Release 1.1.0.2

* Tue Mar 08 2016 Eric D Helms <ericdhelms@gmail.com> 1.1.0.1-1.beta
- 

* Mon Feb 22 2016 Eric D Helms <ericdhelms@gmail.com> 1.1.0.0-0.5.beta
- new package built with tito

* Fri Feb 19 2016 Dennis Kliban <dkliban@redhat.com> 1.1.0-0.5.beta
- This uniqueness contstraint is now enforced by the platform for all content
  units. (dkliban@redhat.com)
- Do not install plugin tests. (rbarlow@redhat.com)
- Do not install tests (pcreech@redhat.com)
- Bumping version to 1.1.0-0.5.beta (dkliban@redhat.com)

* Thu Jan 28 2016 Dennis Kliban <dkliban@redhat.com> 1.1.0-0.4.beta
- Merge branch '2327' (rbarlow@redhat.com)
- Bumping version to 1.1.0-0.4.beta (dkliban@redhat.com)
- Store WSGI scripts in /usr/share/pulp/wsgi instead of /srv.
  (rbarlow@redhat.com)

* Tue Jan 19 2016 Dennis Kliban <dkliban@redhat.com> 1.1.0-0.3.beta
- Bumping version to 1.1.0-0.3.beta (dkliban@redhat.com)

* Wed Jan 13 2016 Dennis Kliban <dkliban@redhat.com> 1.1.0-0.2.beta
- Bumping version to 1.1.0-0.2.beta (dkliban@redhat.com)

* Mon Jan 11 2016 Dennis Kliban <dkliban@redhat.com> 1.1.0-0.1.beta
- Bumping version to 1.1.0-0.1.beta (dkliban@redhat.com)
- 1.1 release notes and docs updates. (jortel@redhat.com)
- Merge pull request #55 from mhrivnak/fixes-for-platform
  (mhrivnak@hrivnak.org)
- adding el6 since there are now el6 packages for ostree (mhrivnak@redhat.com)
- various fixes, mostly due to changes in platform (mhrivnak@redhat.com)
- Convert shebang to python2 (ipanova@redhat.com)
- Removed types/ directory references. (jortel@redhat.com)
- Merge branch '1.0-dev' (dkliban@redhat.com)
- Add fc23 to dist_list.txt config and removes fc21. (dkliban@redhat.com)
- Bumping version to 1.0.1-0.1.beta (dkliban@redhat.com)
- Updates plugin to match platform changes on ContentUnit (ipanova@redhat.com)
- Removes a spec file entry for ostree.json which was removed
  (bbouters@redhat.com)
- Automatic commit of package [pulp-ostree] release [1.0.0-0.7.rc].
  (dkliban@redhat.com)
- Bumping version to 1.0.0-0.7.rc (dkliban@redhat.com)
- Merge branch '1.0-dev' (dkliban@redhat.com)
- Merge branch '1.0-testing' into 1.0-dev (dkliban@redhat.com)
- Automatic commit of package [pulp-ostree] release [1.0.0-0.5.beta].
  (dkliban@redhat.com)
- Bumping version to 1.0.0-0.5.beta (dkliban@redhat.com)
- 1.0.0 release notes. (jortel@redhat.com)
- Bumping version to 1.0.0-0.4.beta (dkliban@redhat.com)
- Automatic commit of package [pulp-ostree] release [1.0.0-0.3.beta]. (pulp-
  infra@redhat.com)
- Bumping version to 1.0.0-0.3.beta (dkliban@redhat.com)
- Merge branch '1.0-testing' into 1.0-dev (dkliban@redhat.com)
- Merge branch '1.0-testing' (jortel@redhat.com)
- Require 2015.8 - contains bug fixes and required features.
  (jortel@redhat.com)
- ref #1235 - add provider to shared storage. (jortel@redhat.com)
- Bumps version to 1.1.0 alpha 1 (dkliban@redhat.com)
- Fix docstring. (jortel@redhat.com)
- ref #1178 - support pull all branches. (jortel@redhat.com)
- ref #897 - fetch and store remote summary information in repo scratchpad.
  (jortel@redhat.com)
- ref #876 - convert to mongoengine model. (jortel@redhat.com)
- Merge pull request #40 from jortel/issue-1162 (jortel@redhat.com)
- ref #897 - support listing remote references. (jortel@redhat.com)
- ref #1162 - replace (.) with (-) in commit metadata keys. (jortel@redhat.com)
- mock < 1.1 in test requirements. (jortel@redhat.com)
- formatting fixed. (jortel@redhat.com)
- Merge branch 'master' into ssl-and-gpg-options (jortel@redhat.com)
- Merge branch '1074' (ipanova@redhat.com)
- Merge branch '1096' (ipanova@redhat.com)
- Auto-publish now default to true. (ipanova@redhat.com)
- Deleting an OSTree repo results in a TypeError on the server.
  (ipanova@redhat.com)
- Fix unit tests that fail against Pulp master (jeremy@jcline.org)
- ref #911 - CLI support for SSL and GPG options. (jortel@redhat.com)
- Merge pull request #31 from jortel/issue-912 (jortel@redhat.com)
- ref #912 - support ssl and gpg options. (jortel@redhat.com)


